Attention is currently required from: fixeria, laforge, osmith.
pespin has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36641?usp=email )
Change subject: SIP_Emulation: Rename component id
......................................................................
Patch Set 1:
(2 comments)
Commit Message:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36641/comment/9fffdd5e_7831…
PS1, Line 9: it makes it impossible to reference the
: component name under TESTPORT_PARAMETERS
This scaping of dashes through quotes looks more like a workaround placed after the name was place, and imo makes everything more difficult for no good reason.
It's like putting spaces in files. Can be done? yes? Should we? No.
> We follow this naming style in other testcases. so I would suggest to stick to it.
I'm not aware we have a comprehensive guide on how to name components that we have to follow :)
File library/SIP_Emulation.ttcn:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36641/comment/bae8634e_d45f…
PS1, Line 229: _EMU
> We also don't have the `EMU` in other emulation components, so why making this different...
Why not? It's immediately informing the component is SIP_Emulation, which really helps given that there's several components containing the SIP word.
I have the feeling you are talking about current component names as if they were some sort of conclusion after a long PhD investigation regarding optimum names, but the truth is that most of them were just put without really thinking about good naming practices.
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36641?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: Iecefe7d98a5842872f1efc55e013f672186ef1a8
Gerrit-Change-Number: 36641
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-CC: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 26 Apr 2024 11:48:59 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-MessageType: comment
osmith has uploaded a new patch set (#2). ( https://gerrit.osmocom.org/c/osmo-sgsn/+/36648?usp=email )
Change subject: contrib/osmo-sgsn.spec: fix build for almalinux:8
......................................................................
contrib/osmo-sgsn.spec: fix build for almalinux:8
Add the missing "%if 0%{?suse_version}" around %service_del/add
commands, as these are only available on opensuse.
Fix for:
error: line 106: Too many names: %preun -n osmo-gtphub %service_del_preun osmo-gtphub.service
Fixes: a07e6d9c (".deb/.rpm: add osmocom user during package install")
Change-Id: I89802f926bfccc0f7b4bb1ff64115b232b1db022
---
M contrib/osmo-sgsn.spec.in
1 file changed, 18 insertions(+), 0 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-sgsn refs/changes/48/36648/2
--
To view, visit https://gerrit.osmocom.org/c/osmo-sgsn/+/36648?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-sgsn
Gerrit-Branch: master
Gerrit-Change-Id: I89802f926bfccc0f7b4bb1ff64115b232b1db022
Gerrit-Change-Number: 36648
Gerrit-PatchSet: 2
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-CC: Jenkins Builder
Gerrit-MessageType: newpatchset
osmith has submitted this change. ( https://gerrit.osmocom.org/c/osmo-ci/+/36639?usp=email )
Change subject: OBS: move gerrit-binpkgs logic to separate script
......................................................................
OBS: move gerrit-binpkgs logic to separate script
As I'm preparing slides for a OsmoDevCon talk, I'm realizing that it is
quite cumbersome for users to build debian packages from Osmocom git
repositories (the same way gerrit does it, to reproduce errors locally).
Move the logic from the gerrit-binpkgs job to a separate script that can
be run from an Osmocom git repository, will figure out the repository
name from there and only needs the target distribution as argument.
Usage example:
$ git clone https://gitea.osmocom.org/osmocom/osmo-ci
$ cd libosmocore
$ ../osmo-ci/scripts/obs/gerrit_binpkgs.sh debian:12 # or debian:11, debian:10, almalinux:8
Change-Id: I100d8dfc0c58bdafe7efb0fa4108031ce10398a5
---
M jobs/gerrit-binpkgs.yml
M scripts/obs/README
A scripts/obs/gerrit_binpkgs.sh
3 files changed, 66 insertions(+), 21 deletions(-)
Approvals:
pespin: Looks good to me, but someone else must approve
fixeria: Looks good to me, approved
Jenkins Builder: Verified
diff --git a/jobs/gerrit-binpkgs.yml b/jobs/gerrit-binpkgs.yml
index 7cf2230..a6cf44b 100644
--- a/jobs/gerrit-binpkgs.yml
+++ b/jobs/gerrit-binpkgs.yml
@@ -28,7 +28,7 @@
scm:
- git:
- basedir: 'code-from-gerrit'
+ basedir: '$PROJECT_NAME'
url: '$GERRIT_REPO_URL'
credentials-id: d5eda5e9-b59d-44ba-88d2-43473cb6e42d
branches:
@@ -60,27 +60,9 @@
osmo-ci
git -C osmo-ci log --oneline
- # Move code from gerrit to build_srcpkg.py's git cache
- cache_dir=osmo-ci/scripts/obs/_cache
- mkdir -p $cache_dir
- mv code-from-gerrit "$cache_dir/$PROJECT_NAME"
+ cd "$PROJECT_NAME"
+ ../osmo-ci/scripts/obs/gerrit_binpkgs.sh "$DISTRO"
- # Set a known branch name
- git -C "$cache_dir/$PROJECT_NAME" checkout -B "origin/gerrit"
-
- # Build source package
- cd osmo-ci/scripts/obs/
- ./build_srcpkg.py \
- --docker \
- --feed master \
- --git-branch gerrit \
- --git-skip-fetch \
- "$PROJECT_NAME"
-
- # Build binary package
- ./build_binpkg.py \
- --docker "$DISTRO" \
- "$PROJECT_NAME"
wrappers:
- ansicolor:
colormap: xterm
diff --git a/scripts/obs/README b/scripts/obs/README
index cf8e201..e6ca502 100644
--- a/scripts/obs/README
+++ b/scripts/obs/README
@@ -4,6 +4,7 @@
projects in OBS (Open Build Service) and building binary packages. Here is an
overview of the scripts, run them with -h to get a more detailed description.
+* gerrit_binpkgs.sh: build source + binary packages like CI for gerrit
* build_srcpkg.py: build one source package for an Osmocom project
* update_obs_project.py: generate source packages and upload them to OBS
* build_binpkg.py: build rpm/deb packages for one Osmocom project
diff --git a/scripts/obs/gerrit_binpkgs.sh b/scripts/obs/gerrit_binpkgs.sh
new file mode 100755
index 0000000..1e4ae26
--- /dev/null
+++ b/scripts/obs/gerrit_binpkgs.sh
@@ -0,0 +1,40 @@
+#!/bin/sh -e
+SCRIPTS_OBS_DIR="$(realpath "$(dirname "$0")")"
+
+DISTRO="$1"
+if [ -z "$DISTRO" ]; then
+ echo "usage: gerrit-binpkgs.sh DISTRO"
+ echo "examples:"
+ echo " gerrit-binpkgs.sh debian:12"
+ echo " gerrit-binpkgs.sh almalinux:8"
+ exit 1
+fi
+
+GIT_REPO_DIR="$(git rev-parse --show-toplevel 2>/dev/null || true)"
+if [ -z "$GIT_REPO_DIR" ]; then
+ echo "ERROR: run inside a git repository of an Osmocom project"
+ exit 1
+fi
+
+CACHE_DIR="$SCRIPTS_OBS_DIR/_cache"
+PROJECT_NAME="$(basename "$GIT_REPO_DIR")"
+
+# Copy the source dir into the cache dir. It will be mounted inside the docker
+# containers for building source and binary packages (so using a symlink does
+# not work). Use rsync so it is very fast.
+echo ":: Copying the source to the cache dir"
+mkdir -p "$CACHE_DIR"
+rsync -a --delete "$GIT_REPO_DIR" "$CACHE_DIR"
+
+echo ":: Building the source package"
+"$SCRIPTS_OBS_DIR"/build_srcpkg.py \
+ --docker \
+ --feed master \
+ --git-skip-fetch \
+ --git-skip-checkout \
+ "$PROJECT_NAME"
+
+echo ":: Building the binary packages"
+"$SCRIPTS_OBS_DIR"/build_binpkg.py \
+ --docker "$DISTRO" \
+ "$PROJECT_NAME"
--
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/36639?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: I100d8dfc0c58bdafe7efb0fa4108031ce10398a5
Gerrit-Change-Number: 36639
Gerrit-PatchSet: 2
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: neels <nhofmeyr(a)sysmocom.de>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: merged
Attention is currently required from: pespin.
fixeria has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36641?usp=email )
Change subject: SIP_Emulation: Rename component id
......................................................................
Patch Set 1:
(2 comments)
Commit Message:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36641/comment/d448a0d6_2e86…
PS1, Line 9: it makes it impossible to reference the
: component name under TESTPORT_PARAMETERS
I run `git-grep` and found this:
```
msc/MSC_Tests.default:[TESTPORT_PARAMETERS]
msc/MSC_Tests.default-"MSC_Test-MNCC".MNCC.socket_type := "SEQPACKET";
```
So escaping dashes should not be a problem.
We follow this naming style in other testcases. so I would suggest to stick to it.
File library/SIP_Emulation.ttcn:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36641/comment/58aa9a96_0341…
PS1, Line 229: _EMU
We also don't have the `EMU` in other emulation components, so why making this different...
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36641?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: Iecefe7d98a5842872f1efc55e013f672186ef1a8
Gerrit-Change-Number: 36641
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-CC: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Thu, 25 Apr 2024 17:32:22 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
Jenkins Builder has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36646?usp=email )
Change subject: HTTP_Adaptor: allow keeping an HTTP client connection
......................................................................
Patch Set 1:
(1 comment)
File library/HTTP_Adapter.ttcn:
Robot Comment from checkpatch (run ID jenkins-gerrit-lint-15829):
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36646/comment/5c877b87_dbb5…
PS1, Line 188: /* In case the caller didn't specifiy a client_id, we will create a new connection. */
'specifiy' may be misspelled - perhaps 'specify'?
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36646?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: Ic6994c504143820dde498c1a2bad2ad6a523dd70
Gerrit-Change-Number: 36646
Gerrit-PatchSet: 1
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-CC: Jenkins Builder
Gerrit-Comment-Date: Thu, 25 Apr 2024 16:05:58 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
dexter has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36647?usp=email )
Change subject: SGP32Definitions_Templates: improve ts_initiateAuthenticationRequestEsipa
......................................................................
SGP32Definitions_Templates: improve ts_initiateAuthenticationRequestEsipa
The template ts_initiateAuthenticationRequestEsipa has a field for smdpAddress and
euiccInfo1. Those fields are optional fields, but they still play a central role in
the protocol, so that they are effectively mandatory. Let's make the fields available
to the template user and populate them with meaningful default values.
Related: SYS#6824
Change-Id: I97aa039810ad9fffea4226254fa675fd24647de1
---
M library/euicc/SGP32Definitions_Templates.ttcn
1 file changed, 20 insertions(+), 3 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/47/36647/1
diff --git a/library/euicc/SGP32Definitions_Templates.ttcn b/library/euicc/SGP32Definitions_Templates.ttcn
index c178a9c..86c2055 100644
--- a/library/euicc/SGP32Definitions_Templates.ttcn
+++ b/library/euicc/SGP32Definitions_Templates.ttcn
@@ -77,11 +77,13 @@
}
}
template (value) EsipaMessageFromIpaToEim
-ts_initiateAuthenticationRequestEsipa(template (value) octetstring euiccChallenge := '00112233445566778899aabbccddeeff'O) := {
+ts_initiateAuthenticationRequestEsipa(template (value) octetstring euiccChallenge := '00112233445566778899aabbccddeeff'O,
+ template (omit) charstring smdpAddress := "smdp.example.com",
+ template (omit) EUICCInfo1 euiccInfo1 := ts_EUICCInfo1) := {
initiateAuthenticationRequestEsipa := {
euiccChallenge := euiccChallenge,
- smdpAddress := omit,
- euiccInfo1 := omit
+ smdpAddress := smdpAddress,
+ euiccInfo1 := euiccInfo1
}
}
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36647?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I97aa039810ad9fffea4226254fa675fd24647de1
Gerrit-Change-Number: 36647
Gerrit-PatchSet: 1
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-MessageType: newchange
Attention is currently required from: laforge, pespin.
Hello Jenkins Builder,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36229?usp=email
to look at the new patch set (#8).
The following approvals got outdated and were removed:
Verified+1 by Jenkins Builder
Change subject: IPAd_Tests: add testsuite for an IPAd
......................................................................
IPAd_Tests: add testsuite for an IPAd
With this patch we add a testsuite that can be used to test an IPAd
implementation.
The testsuite emulates the ESipa and the ES10x (pcsc cardreader)
interface and is capable of testing a direct profile download and other
ESipa features like the execution of an eIM package (eCO, PSMO).
Change-Id: Ic9ea8c69e56a2e8ddf0f506861ece6d40cbcb06d
Related: SYS#6564
---
M .checkpatch.conf
M Makefile
A ipad/IPAd_Tests.cfg
A ipad/IPAd_Tests.default
A ipad/IPAd_Tests.ttcn
A ipad/example_ca/easyrsa
A ipad/example_ca/openssl-easyrsa.cnf
A ipad/example_ca/pki/ca.crt
A ipad/example_ca/pki/certs_by_serial/2AA3F8FFC3B562AFC67845389A5F2C5A.pem
A ipad/example_ca/pki/certs_by_serial/FAEE71AC9CF85B804DCE4BD357F83209.pem
A ipad/example_ca/pki/index.txt
A ipad/example_ca/pki/index.txt.attr
A ipad/example_ca/pki/index.txt.attr.old
A ipad/example_ca/pki/index.txt.old
A ipad/example_ca/pki/issued/alttest.cabundle
A ipad/example_ca/pki/issued/alttest.crt
A ipad/example_ca/pki/issued/alttest.notes
A ipad/example_ca/pki/issued/testsuite.cabundle
A ipad/example_ca/pki/issued/testsuite.crt
A ipad/example_ca/pki/issued/testsuite.notes
A ipad/example_ca/pki/openssl-easyrsa.cnf
A ipad/example_ca/pki/private/alttest.key
A ipad/example_ca/pki/private/ca.key
A ipad/example_ca/pki/private/testsuite.key
A ipad/example_ca/pki/reqs/alttest.req
A ipad/example_ca/pki/reqs/testsuite.req
A ipad/example_ca/pki/safessl-easyrsa.cnf
A ipad/example_ca/pki/serial
A ipad/example_ca/pki/serial.old
A ipad/example_ca/pki/vars
A ipad/example_ca/pki/vars.example
A ipad/example_ca/x509-types
A ipad/gen_links.sh
A ipad/regen_makefile.sh
M regen-makefile.sh
35 files changed, 2,180 insertions(+), 2 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/29/36229/8
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36229?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: Ic9ea8c69e56a2e8ddf0f506861ece6d40cbcb06d
Gerrit-Change-Number: 36229
Gerrit-PatchSet: 8
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-CC: laforge <laforge(a)osmocom.org>
Gerrit-CC: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: newpatchset